Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556593 - lilypond: FTBFS in F28
Summary: lilypond: FTBFS in F28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lilypond
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-15 00:11 UTC by Fedora Release Engineering
Modified: 2018-05-17 04:16 UTC (History)
4 users (show)

Fixed In Version: lilypond-2.19.81-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-30 13:03:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-15 00:11:40 UTC
Your package lilypond failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=25212551

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Gwyn Ciesla 2018-03-15 18:07:24 UTC
Builds in and of itself, but broken by texlive issue.

Comment 2 Tom "spot" Callaway 2018-03-15 19:45:09 UTC
Not really broken by texlive. Missing (and one ancient and no longer correct) BuildRequires are to blame here. :)

I have fixed those and done successful builds for F28 (lilypond-2.19.81-4.fc28) and rawhide (lilypond-2.19.81-4.fc29).

You probably want to push the F28 build as an update, so I will leave this bug open.

Comment 3 Gwyn Ciesla 2018-03-16 13:33:55 UTC
Thank you!

Comment 4 Fedora Update System 2018-03-16 13:35:47 UTC
lilypond-2.19.81-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1add4e263d

Comment 5 Fedora Update System 2018-03-16 14:48:45 UTC
lilypond-2.19.81-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1add4e263d

Comment 6 Fedora Update System 2018-03-30 13:03:02 UTC
lilypond-2.19.81-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Martin Tarenskeen 2018-05-03 08:51:37 UTC
I just upgraded from Fedora 27 to 28
The first lilypond file I tried to compile failed.

Then I first tried a minimal example:

\version "2.19.81"
{c' d' e' f'}

This compiled succesfully.

But as soon as tried this:

\version "2.19.81"
{c'4 d'4 e'8 f'8 g'4}

Things started to crash:

GNU LilyPond 2.19.81
Processing `/home/m.tarenskeen/mini.ly'
Parsing...
Interpreting music...
Preprocessing graphical objects...
Finding the ideal number of pages...
Fitting music on 1 page...
Drawing systems.../usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp, _Alloc>::size_type) [with _Tp = Beam_stem_segment; _Alloc = std::allocator<Beam_stem_segment>; std::vector<_Tp, _Alloc>::reference = Beam_stem_segment&; std::vector<_Tp, _Alloc>::size_type = long unsigned int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.

Comment 8 Martin Tarenskeen 2018-05-03 11:03:10 UTC
I tried gdb to produce some more backtrace info:

Starting program: /usr/bin/lilypond mini.ly
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments

Program received signal SIGABRT, Aborted.
0x00007ffff5b2cf4b in raise () from /lib64/libc.so.6
#0  0x00007ffff5b2cf4b in raise () at /lib64/libc.so.6
#1  0x00007ffff5b17591 in abort () at /lib64/libc.so.6
#2  0x0000555555616008 in  ()
#3  0x000055555573bb72 in Beam::calc_beam_segments(scm_unused_struct*) ()
#4  0x00007ffff791d602 in scm_dapply () at /lib64/libguile.so.17
#5  0x000055555567da9f in Grob::try_callback_on_alist(scm_unused_struct**, scm_unused_struct*, scm_unused_struct*) ()
#6  0x0000555555733d16 in Beam::calc_x_positions(scm_unused_struct*) ()
#7  0x00007ffff791d602 in scm_dapply () at /lib64/libguile.so.17
#8  0x000055555567da9f in Grob::try_callback_on_alist(scm_unused_struct**, scm_unused_struct*, scm_unused_struct*) ()
#9  0x000055555584c2ea in Beam_scoring_problem::init_instance_variables(Grob*, Drul_array<double>, bool) ()
#10 0x000055555584e4b0 in Beam_scoring_problem::Beam_scoring_problem(Grob*, Drul_array<double>, bool) ()
#11 0x0000555555734e7e in Beam::quanting(scm_unused_struct*, scm_unused_struct*, scm_unused_struct*) ()
#12 0x00007ffff791f93c in deval () at /lib64/libguile.so.17
#13 0x00007ffff791dde3 in scm_dapply () at /lib64/libguile.so.17
#14 0x000055555567da9f in Grob::try_callback_on_alist(scm_unused_struct**, scm_unused_struct*, scm_unused_struct*) ()
#15 0x0000555555735808 in Beam::set_stem_lengths(scm_unused_struct*) ()
#16 0x00007ffff791d602 in scm_dapply () at /lib64/libguile.so.17
#17 0x000055555567da9f in Grob::try_callback_on_alist(scm_unused_struct**, scm_unused_struct*, scm_unused_struct*) ()
#18 0x00005555556c5b31 in Stem::internal_height(Grob*, bool) ()
#19 0x00005555556c5e8a in Stem::height(scm_unused_struct*) ()
#20 0x00007ffff791d602 in scm_dapply () at /lib64/libguile.so.17
#21 0x000055555567da9f in Grob::try_callback_on_alist(scm_unused_struct**, scm_unused_struct*, scm_unused_struct*) ()
#22 0x00005555555fbef5 in Grob::extent(Grob*, Axis) const ()
#23 0x00005555556cff9a in Grob::maybe_pure_internal_simple_skylines_from_extents(Grob*, Axis, bool, int, int, bool, bool) ()
#24 0x00005555556d0197 in Grob::simple_vertical_skylines_from_extents(scm_unused_struct*) ()
#25 0x00007ffff791d602 in scm_dapply () at /lib64/libguile.so.17
#26 0x000055555567da9f in Grob::try_callback_on_alist(scm_unused_struct**, scm_unused_struct*, scm_unused_struct*) ()
#27 0x000055555583062a in add_interior_skylines(Grob*, Grob*, Grob*, std::vector<Skyline_pair, std::allocator<Skyline_pair> >*) ()
#28 0x00005555558306a1 in add_interior_skylines(Grob*, Grob*, Grob*, std::vector<Skyline_pair, std::allocator<Skyline_pair> >*) ()
#29 0x0000555555834906 in Axis_group_interface::skyline_spacing(Grob*) ()
#30 0x0000555555835718 in Axis_group_interface::calc_skylines(scm_unused_struct*) ()
#31 0x00007ffff791d602 in scm_dapply () at /lib64/libguile.so.17
#32 0x000055555567da9f in Grob::try_callback_on_alist(scm_unused_struct**, scm_unused_struct*, scm_unused_struct*) ()
#33 0x000055555587d6c5 in Align_interface::internal_get_minimum_translations(Grob*, std::vector<Grob*, std::allocator<Grob*> > const&, Axis, bool, bool, int, int) ()
#34 0x000055555587ec2b in Align_interface::get_minimum_translations_without_min_dist(Grob*, std::vector<Grob*, std::allocator<Grob*> > const&, Axis) ()
#35 0x0000555555865c4a in Page_layout_problem::append_system(System*, Spring const&, double, double) ()
#36 0x0000555555867d46 in Page_layout_problem::Page_layout_problem(Paper_book*, scm_unused_struct*, scm_unused_struct*) ()
#37 0x00005555557e5303 in Page_breaking::make_pages(std::vector<unsigned long, std::allocator<unsigned long> >, scm_unused_struct*) ()
#38 0x000055555574f9eb in Optimal_page_breaking::solve() ()
#39 0x000055555572c5da in ly_optimal_breaking(scm_unused_struct*) ()
#40 0x00007ffff791d602 in scm_dapply () at /lib64/libguile.so.17
#41 0x000055555575526d in Paper_book::pages() [clone .localalias.57] ()
#42 0x0000555555755586 in Paper_book::output_aux(scm_unused_struct*, bool, long*, long*) [clone .localalias.58] ()
#43 0x0000555555755848 in Paper_book::output(scm_unused_struct*) ()
#44 0x0000555555757cfb in ly_book_process(scm_unused_struct*, scm_unused_struct*, scm_unused_struct*, scm_unused_struct*) ()
#45 0x00007ffff791d7af in scm_dapply () at /lib64/libguile.so.17
#46 0x00007ffff791f9ed in deval () at /lib64/libguile.so.17
#47 0x00007ffff79280a6 in scm_c_with_fluid () at /lib64/libguile.so.17
#48 0x0000555555601c17 in ly_eval_scm(scm_unused_struct*, Input, bool, Lily_parser*) ()
#49 0x00005555558c7503 in Lily_lexer::eval_scm(scm_unused_struct*, Input, char) ()
#50 0x00005555558d54a7 in yyparse(Lily_parser*, scm_unused_struct**) ()
#51 0x00005555558de248 in Lily_parser::do_yyparse_trampoline(void*) ()
#52 0x00007ffff79280a6 in scm_c_with_fluid () at /lib64/libguile.so.17
#53 0x00005555557a0198 in Lily_parser::parse_file(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) ()
#54 0x00005555557a674b in ly_parse_file(scm_unused_struct*) ()
#55 0x00007ffff7920726 in deval () at /lib64/libguile.so.17
#56 0x00007ffff791dde3 in scm_dapply () at /lib64/libguile.so.17
#57 0x00007ffff797831b in scm_c_catch () at /lib64/libguile.so.17
#58 0x00007ffff7978541 in scm_catch_with_pre_unwind_handler ()
    at /lib64/libguile.so.17
#59 0x00007ffff791d7af in scm_dapply () at /lib64/libguile.so.17
#60 0x00007ffff791f9ed in deval () at /lib64/libguile.so.17
#61 0x00007ffff7920ac4 in deval () at /lib64/libguile.so.17
#62 0x00007ffff791dde3 in scm_dapply () at /lib64/libguile.so.17
#63 0x00007fffe535e4c8 in scm_srfi1_for_each ()
    at /lib64/libguile-srfi-srfi-1-v-3.so
#64 0x00007ffff79208a9 in deval () at /lib64/libguile.so.17
#65 0x00007ffff7920ac4 in deval () at /lib64/libguile.so.17
#66 0x00007ffff792011b in deval () at /lib64/libguile.so.17
#67 0x00007ffff791dde3 in scm_dapply () at /lib64/libguile.so.17
#68 0x0000555555778df6 in main_with_guile(void*, int, char**) ()
#69 0x00007ffff7939293 in invoke_main_func () at /lib64/libguile.so.17
#70 0x00007ffff790fc7e in c_body () at /lib64/libguile.so.17
#71 0x00007ffff797831b in scm_c_catch () at /lib64/libguile.so.17
#72 0x00007ffff7910298 in scm_i_with_continuation_barrier ()
    at /lib64/libguile.so.17
#73 0x00007ffff7910384 in scm_c_with_continuation_barrier ()
    at /lib64/libguile.so.17
#74 0x00007ffff797666a in scm_i_with_guile_and_parent ()
    at /lib64/libguile.so.17
#75 0x00007ffff7939429 in scm_boot_guile () at /lib64/libguile.so.17
#76 0x00005555555d0f8a in main ()

Comment 9 Mamoru TASAKA 2018-05-17 04:16:54 UTC
(In reply to Martin Tarenskeen from comment #7)
> Drawing systems.../usr/include/c++/8/bits/stl_vector.h:932: std::vector<_Tp,
> _Alloc>::reference std::vector<_Tp, _Alloc>::operator[](std::vector<_Tp,
> _Alloc>::size_type) [with _Tp = Beam_stem_segment; _Alloc =
> std::allocator<Beam_stem_segment>; std::vector<_Tp, _Alloc>::reference =
> Beam_stem_segment&; std::vector<_Tp, _Alloc>::size_type = long unsigned
> int]: Assertion '__builtin_expect(__n < this->size(), true)' failed.

This issue is being tracked on bug 1568274 and should be fixed in lilypond-2.19.81-5.fc28


Note You need to log in before you can comment on or make changes to this bug.